#version 430

uniform sampler2D tex;
uniform vec4      textColor;
in                VsData { vec2 fragTexCoord; }
vsData;
out vec4 fragColor;

void main()
{
    vec4 color = texture(tex, vec2(vsData.fragTexCoord.x, vsData.fragTexCoord.y));
    fragColor  = color - (1 - vec4(textColor.xyz, 1.0));
}